Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.webapp.example
Class RegistrationBacking

    java.lang.Object
      org.apache.struts.webapp.example.RegistrationBacking

    public class RegistrationBacking

extends Object

Backing bean for the `registration.jsp` page.

Constructor Summary
`RegistrationBacking()`

Method Summary
`protected StringBuffer` | `action(javax.faces.context.FacesContext context, String action)` Return the context relative path for the specified action.
`String` | `create()` Create a new subscription.
`String` | `delete()` Delete an existing subscription.
`String` | `edit()` Edit an existing subscription.
`protected void` | `forward(javax.faces.context.FacesContext context, String url)` Forward to the specified URL and mark this response as having been completed.
`javax.faces.component.UIData` | `getTable()` Return the `UIData` instance we are bound to.
`protected StringBuffer` | `logoff(javax.faces.context.FacesContext context)` Return the context relative base URL for the "logoff" action.
`protected StringBuffer` | `logon(javax.faces.context.FacesContext context)` Return the context relative base URL for the "logon" action.
`protected StringBuffer` | `registration(javax.faces.context.FacesContext context)` Return the context relative base URL for the "edit registration" action.
`void` | `setTable(javax.faces.component.UIData table)` Set the `UIData` instance we are bound to.
`protected StringBuffer` | `subscription(javax.faces.context.FacesContext context)` Return the context relative base URL for the "edit subscriptions" action.
`String` | `update()` Update the subscriptions to reflect any revisions to the `type` and `autoConnect` properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistrationBacking

    public RegistrationBacking()

Method Detail

### getTable

    public javax.faces.component.UIData getTable()

  Return the `UIData` instance we are bound to.

### setTable

    public void setTable(javax.faces.component.UIData table)

  Set the `UIData` instance we are bound to.

  Parameters:
    `table` - The `UIData` instance

### create

    public String create()

  Create a new subscription.

### delete

    public String delete()

  Delete an existing subscription.

### edit

    public String edit()

  Edit an existing subscription.

### update

    public String update()

  Update the subscriptions to reflect any revisions to the `type` and `autoConnect` properties.

### action

    protected StringBuffer action(javax.faces.context.FacesContext context,
                                  String action)

  Return the context relative path for the specified action.

  Parameters:
    `context` - `FacesContext` for the current request
    `action` - Name of the requested action

### forward

    protected void forward(javax.faces.context.FacesContext context,
                           String url)

  Forward to the specified URL and mark this response as having been completed.

  Parameters:
    `context` - `FacesContext` for the current request
    `url` - Context-relative URL to forward to
  Throws:
    `javax.faces.FacesException` - if any error occurs

### logoff

    protected StringBuffer logoff(javax.faces.context.FacesContext context)

  Return the context relative base URL for the "logoff" action.

  Parameters:
    `context` - `FacesContext` for the current request

### logon

    protected StringBuffer logon(javax.faces.context.FacesContext context)

  Return the context relative base URL for the "logon" action.

  Parameters:
    `context` - `FacesContext` for the current request

### registration

    protected StringBuffer registration(javax.faces.context.FacesContext context)

  Return the context relative base URL for the "edit registration" action.

  Parameters:
    `context` - `FacesContext` for the current request

### subscription

    protected StringBuffer subscription(javax.faces.context.FacesContext context)

  Return the context relative base URL for the "edit subscriptions" action.

  Parameters:
    `context` - `FacesContext` for the current request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.